﻿© Fluke Calibration, All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /5800
DATE:                  2010-10-25 10:39:06
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       337
CONFIGURATION:         Fluke 5800A
=============================================================================
#
#  Procedure Author:
#        VY, DFM
#
#  Model(s) Covered:
#        Wavejet 300 Series
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        Sub LeCroy WJ300 Select Channel IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         CH[V Ch] BANDWIDTH
  1.002  HEAD         -2 10 mV/div
  1.003  IEEE         *CLS;*RST
  1.004  WAIT         -t 3 UUT Resetting...
  1.005  CALL         Sub LeCroy WJ300 Select Channel IEEE
  1.006  MATH         Ch = @Chan

  1.007  IF           Ch == 1
  1.008  RSLT         =
  1.009  RSLT         =BANDWIDTH
  1.010  ENDIF

  1.011  RSLT         =
  1.012  RSLT         =Channel [V Ch]
  1.013  TARGET       -p
  1.014  TSET         TDESC = 10 mV/div

# 50 Ohm input is only available for WJ35x and WJ33x.
  1.015  IF           @Bandwidth < 350E+6

  1.016  IF           NOT(@SourceMultiCh)
  1.017  DISP         Make the following connections:
  1.017  DISP
  1.017  DISP         [32]  58xxA                    UUT
  1.017  DISP         [32]  CHAN 1 >----> 50 Ohm >-> CH[V Ch]

  1.018  IF           Ch == 1
  1.019  DISP         The next routine operator intervention occurs
  1.019  DISP         in approximately 2 minutes...
  1.020  ELSE
  1.021  DISP         The next routine operator intervention occurs
  1.021  DISP         in approximately 1 minute...
  1.022  ENDIF

  1.023  ELSEIF       @SourceMultiCh == 1 && Ch == 1

  1.024  IF           @NumChan == 2
  1.025  DISP         Make the following connections:
  1.025  DISP
  1.025  DISP         [32]  58xxA                     UUT
  1.025  DISP         [32]  CHAN 1 >----> 50 Ohm >-> CH1 X
  1.025  DISP         [32]  CHAN 2 >----> 50 Ohm >-> CH2 Y

  1.026  DISP         The next routine operator intervention occurs
  1.026  DISP         in approximately 3 minutes...

  1.027  ELSE         ; @NumChan == 4
  1.028  DISP         Make the following connections:
  1.028  DISP
  1.028  DISP         [32]  58xxA                     UUT
  1.028  DISP         [32]  CHAN 1 >----> 50 Ohm >-> CH1 X
  1.028  DISP         [32]  CHAN 2 >----> 50 Ohm >-> CH2 Y
  1.028  DISP         [32]  CHAN 3 >----> 50 Ohm >-> CH3
  1.028  DISP         [32]  CHAN 4 >----> 50 Ohm >-> CH4

  1.029  DISP         The next routine operator intervention occurs
  1.029  DISP         in approximately 6 minutes...
  1.030  ENDIF

  1.031  IEEE         C[V Ch]:CPL DC1M
  1.032  ENDIF

  1.033  ELSE
  1.034  IEEE         C[V Ch]:CPL DC50
  1.035  ENDIF

  1.036  IEEE         C[V Ch]:VDIV 10E-3
  1.037  IEEE         C[V Ch]:OFST 0
  1.038  IEEE         TTYP EDGE;TSRC CH[V Ch];TRMD AUTO
  1.039  IEEE         TDIV 50E-9
  1.040  IEEE         EQU ON;MLEN 10K
  1.041  IEEE         DIRM A;MSEL CH[V Ch],P-P;MDSP ON
  1.042  MATH         Model = "Fluke 5800A"; Mode = "Vpp LS S6"

# Set the output of the calibrator is 6 vertical divisions at the selected
# vertical scale with a set frequency of 10 MHz.
  1.043  MATH         MEM = 60; MEM1 = MEM

  1.044  DO
  1.045  MATH         MEM = MEM1 + (60 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  1.046  IF           MEM > 5500 || MEM < 5
  1.047  MATH         MEM = 60
  1.048  ENDIF

  1.049  5800         mVpp                         10MH           LS S6 S  L
  1.050  IEEE         MSRA?[I]
  1.051  MATH         Vinpp = MEM
  1.052  MATH         MEM = MEM / 1E-3
  1.053  UNTIL        MEM > 59.5 && MEM < 60.5

  1.054  IEEE         TDIV 5E-9
# Last calibrator amplitude setting is in MEM1.
  1.055  MATH         MEM = MEM1

  1.056  IF           @Bandwidth == 100E+6
  1.057  MATH         Fmax = "100.1 MHz"
  1.058  5800         mVpp                         100.1MH        LS S6 S  L
  1.059  ELSEIF       @Bandwidth == 200E+6
  1.060  MATH         Fmax = "200.1 MHz"
  1.061  5800         mVpp                         200.1MH        LS S6 S  L
  1.062  ELSEIF       @Bandwidth == 350E+6
  1.063  MATH         Fmax = "350.1 MHz"
  1.064  5800         mVpp                         350.1MH        LS S6 S  L
  1.065  ELSEIF       @Bandwidth == 500E+6
  1.066  MATH         Fmax = "500.1 MHz"
  1.067  5800         mVpp                         500.1MH        LS S6 S  L
  1.068  ENDIF

  1.069  TARGET       -m
  1.070  IEEE         MSRA?[I]
  1.071  MATH         Vbwpp = MEM
  1.072  MATH         Gain = Vbwpp / Vinpp
  1.073  MATH         FlatVpp = ACCV2(Model, Mode, MEM, @Bandwidth)
  1.074  MATH         FlatPct = (FlatVpp / Vinpp) * 100
  1.075  MATH         L[1] = PCTTODBV_D(FlatPct)
  1.076  ACC          0.0dB          L1U                                   +DV
  1.077  MATH         MEM = 20 * LOG(Gain)
  1.078  MEMCX        0.0dB          3.0U

  2.001  HEAD         -2 50 mV/div
  2.002  TARGET       -p
  2.003  TSET         TDESC = 50 mV/div
  2.004  IEEE         C[V Ch]:VDIV 50E-3
  2.005  IEEE         TDIV 50E-9

# Set the output of the calibrator is 6 vertical divisions at the selected
# vertical scale with a set frequency of 10 MHz.
  2.006  MATH         MEM = 300; MEM1 = MEM

  2.007  DO
  2.008  MATH         MEM = MEM1 + (300 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  2.009  IF           MEM > 5500 || MEM < 5
  2.010  MATH         MEM = 300
  2.011  ENDIF

  2.012  5800         mVpp                         10MH           LS S6 S  L
  2.013  IEEE         MSRA?[I]
  2.014  MATH         Vinpp = MEM
  2.015  MATH         MEM = MEM / 1E-3
  2.016  UNTIL        MEM > 299.5 && MEM < 300.5

  2.017  IEEE         TDIV 5E-9
# Last calibrator amplitude setting is in MEM1.
  2.018  MATH         MEM = MEM1

  2.019  IF           @Bandwidth == 100E+6
  2.020  MATH         Fmax = "100.1 MHz"
  2.021  5800         mVpp                         100.1MH        LS S6 S  L
  2.022  ELSEIF       @Bandwidth == 200E+6
  2.023  MATH         Fmax = "200.1 MHz"
  2.024  5800         mVpp                         200.1MH        LS S6 S  L
  2.025  ELSEIF       @Bandwidth == 350E+6
  2.026  MATH         Fmax = "350.1 MHz"
  2.027  5800         mVpp                         350.1MH        LS S6 S  L
  2.028  ELSEIF       @Bandwidth == 500E+6
  2.029  MATH         Fmax = "500.1 MHz"
  2.030  5800         mVpp                         500.1MH        LS S6 S  L
  2.031  ENDIF

  2.032  IEEE         MSRA?[I]
  2.033  MATH         Vbwpp = MEM
  2.034  MATH         Gain = Vbwpp / Vinpp
  2.035  MATH         FlatVpp = ACCV2(Model, Mode, MEM, @Bandwidth)
  2.036  MATH         FlatPct = (FlatVpp / Vinpp) * 100
  2.037  MATH         L[1] = PCTTODBV_D(FlatPct)
  2.038  ACC          0.0dB          L1U                                   +DV
  2.039  MATH         MEM = 20 * LOG(Gain)
  2.040  MEMCX        0.0dB          3.0U

  3.001  HEAD         -2 100 mV/div
  3.002  TARGET       -p
  3.003  TSET         TDESC = 100 mV/div
  3.004  IEEE         C[V Ch]:VDIV 100E-3
  3.005  IEEE         TDIV 50E-9

# Set the output of the calibrator is 6 vertical divisions at the selected
# vertical scale with a set frequency of 10 MHz.
  3.006  MATH         MEM = 600; MEM1 = MEM

  3.007  DO
  3.008  MATH         MEM = MEM1 + (600 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  3.009  IF           MEM > 5500 || MEM < 5
  3.010  MATH         MEM = 600
  3.011  ENDIF

  3.012  5800         mVpp                         10MH           LS S6 S  L
  3.013  IEEE         MSRA?[I]
  3.014  MATH         Vinpp = MEM
  3.015  MATH         MEM = MEM / 1E-3
  3.016  UNTIL        MEM > 599 && MEM < 601

  3.017  IEEE         TDIV 5E-9
# Last calibrator amplitude setting is in MEM1.
  3.018  MATH         MEM = MEM1

  3.019  IF           @Bandwidth == 100E+6
  3.020  MATH         Fmax = "100.1 MHz"
  3.021  5800         mVpp                         100.1MH        LS S6 S  L
  3.022  ELSEIF       @Bandwidth == 200E+6
  3.023  MATH         Fmax = "200.1 MHz"
  3.024  5800         mVpp                         200.1MH        LS S6 S  L
  3.025  ELSEIF       @Bandwidth == 350E+6
  3.026  MATH         Fmax = "350.1 MHz"
  3.027  5800         mVpp                         350.1MH        LS S6 S  L
  3.028  ELSEIF       @Bandwidth == 500E+6
  3.029  MATH         Fmax = "500.1 MHz"
  3.030  5800         mVpp                         500.1MH        LS S6 S  L
  3.031  ENDIF

  3.032  IEEE         MSRA?[I]
  3.033  MATH         Vbwpp = MEM
  3.034  MATH         Gain = Vbwpp / Vinpp
  3.035  MATH         FlatVpp = ACCV2(Model, Mode, MEM, @Bandwidth)
  3.036  MATH         FlatPct = (FlatVpp / Vinpp) * 100
  3.037  MATH         L[1] = PCTTODBV_D(FlatPct)
  3.038  ACC          0.0dB          L1U                                   +DV
  3.039  MATH         MEM = 20 * LOG(Gain)
  3.040  MEMCX        0.0dB          3.0U

  4.001  HEAD         -2 500 mV/div
  4.002  TARGET       -p
  4.003  TSET         TDESC = 500 mV/div
  4.004  IEEE         C[V Ch]:VDIV 500E-3
  4.005  IEEE         TDIV 50E-9

# Set the output of the calibrator is 6 vertical divisions at the selected
# vertical scale with a set frequency of 10 MHz.
  4.006  MATH         MEM = 3; MEM1 = MEM

  4.007  DO
  4.008  MATH         MEM = MEM1 + (3 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  4.009  IF           MEM > 5.5 || MEM < 5E-3
  4.010  MATH         MEM = 3
  4.011  ENDIF

  4.012  5800         Vpp                          10MH           LS S6 S  L
  4.013  IEEE         MSRA?[I]
  4.014  MATH         Vinpp = MEM
  4.015  UNTIL        MEM > 2.995 && MEM < 3.005

  4.016  IEEE         TDIV 5E-9
# Last calibrator amplitude setting is in MEM1.
  4.017  MATH         MEM = MEM1

  4.018  IF           @Bandwidth == 100E+6
  4.019  MATH         Fmax = "100.1 MHz"
  4.020  5800         Vpp                          100.1MH        LS S6 S  L
  4.021  ELSEIF       @Bandwidth == 200E+6
  4.022  MATH         Fmax = "200.1 MHz"
  4.023  5800         Vpp                          200.1MH        LS S6 S  L
  4.024  ELSEIF       @Bandwidth == 350E+6
  4.025  MATH         Fmax = "350.1 MHz"
  4.026  5800         Vpp                          350.1MH        LS S6 S  L
  4.027  ELSEIF       @Bandwidth == 500E+6
  4.028  MATH         Fmax = "500.1 MHz"
  4.029  5800         Vpp                          500.1MH        LS S6 S  L
  4.030  ENDIF

  4.031  IEEE         MSRA?[I]
  4.032  MATH         Vbwpp = MEM
  4.033  MATH         Gain = Vbwpp / Vinpp
  4.034  MATH         FlatVpp = ACCV2(Model, Mode, MEM, @Bandwidth)
  4.035  MATH         FlatPct = (FlatVpp / Vinpp) * 100
  4.036  MATH         L[1] = PCTTODBV_D(FlatPct)
  4.037  ACC          0.0dB          L1U                                   +DV
  4.038  MATH         MEM = 20 * LOG(Gain)
  4.039  MEMCX        0.0dB          3.0U

  5.001  HEAD         -2
  5.002  HEAD
  5.003  5800         *                                                 S
  5.004  END
